package com.gic.cloud.data.hook.service.deal;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

@Component
public class QueryFilterFactory {


    @Autowired
    private List<BaseQueryFilter> queryFilters= new ArrayList<>();


    public BaseQueryFilter getInstance(QueryFilterContext context) {
        for (BaseQueryFilter queryFilter : queryFilters) {
            if (queryFilter.checkFilter(context)){
                return queryFilter;
            }
        }
        return null;
    }
}
